import { OnInit, AfterViewInit } from '@angular/core';
import { SettingsMapbox } from '../dto/settingsMapbox';
import * as mapboxgl from 'mapbox-gl';
import { GeoJson } from '../dto/geoJson';
/**
 * Componente para mostrar mapas
 *
 * agregar el siguiente estilo para evitar un warning
 * "node_modules/mapbox-gl/dist/mapbox-gl.css",
 */
export declare class MapboxComponent implements OnInit, AfterViewInit {
    /**
     * Variable en la cual guardamos la configuracion del mapa
     */
    settingsMapbox: SettingsMapbox;
    /**
     *  variable a mostrar en el html
     */
    map: mapboxgl.Map;
    /**
     * Inicializaremos el token enviado por el usuario
     */
    constructor();
    /**
     * Inicializamos settings por defecto
     */
    ngOnInit(): void;
    /**
     * Despues de cargar el html cargaremos el mapa
     */
    ngAfterViewInit(): void;
    /**
     * Consultamos posicion del usuario si no da coordenadas se va a usar las de defecto
     * Inicializamos las variables del mapa
     */
    private initializeMap;
    /**
     * Construccion del mapa
     */
    private buildMap;
    /**
     * Ir a un punto en el mapa
     * @param data Punto a ir [longitud, latitud]
     */
    flyTo(data: GeoJson): void;
}
